### File

`src/ui-shell/header/header-navigation-items.interface.ts`

### Description

Used for both HeaderMenus and HeaderItems in the header navigation to generate items and menus through a model.

### Index

###### Properties
Optional content Optional href Optional menuItems Optional route Optional routeExtras Optional title Optional trigger type

### Properties

content
`content: `string``
Type : `string`
Optional

href
`href: `string``
Type : `string`
Optional

menuItems
`menuItems: `HeaderItemInterface[]``
Type : `HeaderItemInterface[]`
Optional

route
`route: `any[]``
Type : `any[]`
Optional

routeExtras
`routeExtras: `any[]``
Type : `any[]`
Optional

title
`title: `string``
Type : `string`
Optional

trigger
`trigger: `"click" | "mouseover"``
Type : `"click" | "mouseover"`
Optional

type
`type: ```

    export interface NavigationItem {
        type: "menu | item",
        title?: string,
        href?: string,
        trigger?: "click" | "mouseover",
        route?: any[],
        routeExtras?: any[],
        content?: string
        menuItems?: HeaderItemInterface[]
    }

    export interface HeaderItemInterface {
        href?: string,
        route?: any[],
        routeExtras?: any[],
        content?: string
    }

# result-matching ""

# No results matching ""